/* 
 * Copyright (C) 2003 Star Chamber Inc.
 *
 * Sussen - sussen-network.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Loren Bandiera <lorenb@starchamber.ca>
 */
 
#ifndef __SUSSEN_NETWORK_H
#define __SUSSEN_NETWORK_H

#include <glib.h>
#include <gnet.h>

void sussen_sensor_connect (const gchar *hostname, gint port, const gchar *login, const gchar *pass);
void sussen_sensor_disconnect (GConn *conn, gchar *hostname);
void sussen_sensor_scan (GConn *conn, gchar *target, gchar *session_name);

#endif
