/* 
 * Copyright (C) 2003 Star Chamber Inc.
 *
 * Sussen - sussen-backend.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Loren Bandiera <lorenb@starchamber.ca>
 */
 
#ifndef __SUSSEN_BACKEND_H
#define __SUSSEN_BACKEND_H

GdaConnection* sussen_backend_init (GdaClient *client, gboolean first_time);
gint sussen_backend_non_query (GdaConnection *conn, const gchar *buf);
gint sussen_backend_sql_cmd (GdaConnection *conn, const gchar *buf);
void sussen_backend_insert_data (gchar *msg, const gchar *session_name);
void sussen_backend_insert_port (gchar *msg, const gchar *session_name);
void sussen_backend_update_session_time (gchar *timestamp, gint pos, const gchar *session_name);
GdaDataModel* sussen_backend_raw (GdaConnection *conn, const gchar *buf);

#endif
